<?php

//ini_set('display_errors', '1');
//error_reporting(E_ALL);

class EcmServicesController extends SugarController {

    /**
     * Close service.
     */
    public function action_close() {
        if (!empty($_REQUEST['uid'])) {
            $url = 'index.php?module=EcmServices&action=action_close&uid=' . $_REQUEST['uid'];
            
            header("Location: $url");
        }

        sugar_die('');
    }
    
    /**
     * FK.
     */
    public function action_invoice() {
        if (!empty($_REQUEST['uid'])) {
            $url = 'index.php?module=EcmServices&action=action_invoice&uid=' . $_REQUEST['uid'];
            //$url = 'index.php?module=EcmInvoiceOuts&action=EditView&parent_doc_type=EcmServices&uid=' . $_REQUEST['uid'];
            
            header("Location: $url");
        }

        sugar_die('');
    }
    
    /**
     * RW.
     */
    public function action_rw() {
        if (!empty($_REQUEST['uid'])) {
            $url = 'index.php?module=EcmServices&action=action_rw&uid=' . $_REQUEST['uid'];
            //$url = 'index.php?module=EcmStockDocInsideOuts&action=EditView&parent_doc_type=EcmServices&uid=' . $_REQUEST['uid'];
            
            header("Location: $url");
        }

        sugar_die('');
    }

}